Package org.drinkless.tdlib

# Class TdApi.GiftSettings

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GiftSettings

Enclosing class:
  `TdApi`

public static class TdApi.GiftSettings extends TdApi.Object
Contains settings for gift receiving for a user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.AcceptedGiftTypes`
  `acceptedGiftTypes`
  Types of gifts accepted by the user; for Telegram Premium users only.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `showGiftButton`
  True, if a button for sending a gift to the user or by the user must always be shown in the input field.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GiftSettings()`
  Contains settings for gift receiving for a user.
  `GiftSettings(boolean showGiftButton, TdApi.AcceptedGiftTypes acceptedGiftTypes)`
  Contains settings for gift receiving for a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### showGiftButton

    public boolean showGiftButton
    True, if a button for sending a gift to the user or by the user must always be shown in the input field.

  - ### acceptedGiftTypes

    public TdApi.AcceptedGiftTypes acceptedGiftTypes
    Types of gifts accepted by the user; for Telegram Premium users only.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GiftSettings

    public GiftSettings()
    Contains settings for gift receiving for a user.

  - ### GiftSettings

    public GiftSettings(boolean showGiftButton, TdApi.AcceptedGiftTypes acceptedGiftTypes)
    Contains settings for gift receiving for a user.
    Parameters:
      `showGiftButton` - True, if a button for sending a gift to the user or by the user must always be shown in the input field.
      `acceptedGiftTypes` - Types of gifts accepted by the user; for Telegram Premium users only.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR